<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">

<!--Converted with LaTeX2HTML 2002-2-1 (1.70)
original version by:  Nikos Drakos, CBLU, University of Leeds
* revised and updated by:  Marcus Hennecke, Ross Moore, Herb Swan
* with significant contributions from:
  Jens Lippmann, Marek Rouchal, Martin Wilck and others -->
<HTML>
<HEAD>
<TITLE>The Cailletaud single crystal model.</TITLE>
<META NAME="description" CONTENT="The Cailletaud single crystal model.">
<META NAME="keywords" CONTENT="ccx">
<META NAME="resource-type" CONTENT="document">
<META NAME="distribution" CONTENT="global">

<META NAME="Generator" CONTENT="LaTeX2HTML v2002-2-1">
<META HTTP-EQUIV="Content-Style-Type" CONTENT="text/css">

<LINK REL="STYLESHEET" HREF="ccx.css">

<LINK REL="next" HREF="node141.html">
<LINK REL="previous" HREF="node139.html">
<LINK REL="up" HREF="node131.html">
<LINK REL="next" HREF="node141.html">
</HEAD>

<BODY >
<!--Navigation Panel-->
<A NAME="tex2html2697"
  HREF="node141.html">
<IMG WIDTH="37" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="next"
 SRC="file:/usr/share/latex2html/icons/next.png"></A> 
<A NAME="tex2html2693"
  HREF="node131.html">
<IMG WIDTH="26" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="up"
 SRC="file:/usr/share/latex2html/icons/up.png"></A> 
<A NAME="tex2html2687"
  HREF="node139.html">
<IMG WIDTH="63" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="previous"
 SRC="file:/usr/share/latex2html/icons/prev.png"></A> 
<A NAME="tex2html2695"
  HREF="node1.html">
<IMG WIDTH="65" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="contents"
 SRC="file:/usr/share/latex2html/icons/contents.png"></A>  
<BR>
<B> Next:</B> <A NAME="tex2html2698"
  HREF="node141.html">The Cailletaud single crystal</A>
<B> Up:</B> <A NAME="tex2html2694"
  HREF="node131.html">Materials</A>
<B> Previous:</B> <A NAME="tex2html2688"
  HREF="node139.html">Fiber reinforced materials.</A>
 &nbsp; <B>  <A NAME="tex2html2696"
  HREF="node1.html">Contents</A></B> 
<BR>
<BR>
<!--End of Navigation Panel-->

<H3><A NAME="SECTION00078900000000000000">
The Cailletaud single crystal model.</A>
</H3>

<P>
The single crystal model of Georges Cailletaud and co-workers
[<A
 HREF="node378.html#Meric1">49</A>][<A
 HREF="node378.html#Meric2">50</A>] describes infinitesimal viscoplasticity in metallic
components consisting of one single crystal. The orientations of the
slip planes and slip directions in these planes is generally known and
described by the normal vectors <!-- MATH
 $\mathbf{n^\beta}$
 -->
<IMG
 WIDTH="23" HEIGHT="20" ALIGN="BOTTOM" BORDER="0"
 SRC="img897.png"
 ALT="$ \mathbf{n^\beta}$"> and direction
vectors <!-- MATH
 $\mathbf{l^\beta}$
 -->
<IMG
 WIDTH="18" HEIGHT="20" ALIGN="BOTTOM" BORDER="0"
 SRC="img898.png"
 ALT="$ \mathbf{l^\beta}$">, respectively, where <IMG
 WIDTH="14" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img624.png"
 ALT="$ \beta$"> denotes one of
slip plane/slip direction combinations. The slip planes and slip
directions are reformulated in the form of a slip orientation tensor
<!-- MATH
 $\mathbf{m^\beta}$
 -->
<IMG
 WIDTH="28" HEIGHT="20" ALIGN="BOTTOM" BORDER="0"
 SRC="img899.png"
 ALT="$ \mathbf{m^\beta}$"> satisfying:

<P>
<P></P>
<DIV ALIGN="CENTER"><!-- MATH
 \begin{equation}
\mathbf{m^\beta}=(\mathbf{n^\beta}\otimes\mathbf{l^\beta}+\mathbf{l^\beta}\otimes\mathbf{n^\beta})/2.
\end{equation}
 -->
<TABLE CELLPADDING="0" WIDTH="100%" ALIGN="CENTER">
<TR VALIGN="MIDDLE">
<TD NOWRAP ALIGN="CENTER"><IMG
 WIDTH="205" HEIGHT="37" ALIGN="MIDDLE" BORDER="0"
 SRC="img900.png"
 ALT="$\displaystyle \mathbf{m^\beta}=(\mathbf{n^\beta}\otimes\mathbf{l^\beta}+\mathbf{l^\beta}\otimes\mathbf{n^\beta})/2.$"></TD>
<TD NOWRAP WIDTH="10" ALIGN="RIGHT">
(212)</TD></TR>
</TABLE></DIV>
<BR CLEAR="ALL"><P></P>

<P>
The total strain is supposed to be the sum of the elastic strain and
the plastic strain:

<P>
<P></P>
<DIV ALIGN="CENTER"><!-- MATH
 \begin{equation}
\mbox{\boldmath${\epsilon}$}=\mbox{\boldmath${\epsilon^e}$}+\mbox{\boldmath${\epsilon^p}$}.
\end{equation}
 -->
<TABLE CELLPADDING="0" WIDTH="100%" ALIGN="CENTER">
<TR VALIGN="MIDDLE">
<TD NOWRAP ALIGN="CENTER"><IMG
 WIDTH="12" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img901.png"
 ALT="$\displaystyle \mbox{\boldmath${\epsilon}$}$"><IMG
 WIDTH="17" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img902.png"
 ALT="$\displaystyle =$"><IMG
 WIDTH="20" HEIGHT="31" ALIGN="MIDDLE" BORDER="0"
 SRC="img903.png"
 ALT="$\displaystyle \mbox{\boldmath${\epsilon^e}$}$"><IMG
 WIDTH="17" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img282.png"
 ALT="$\displaystyle +$"><IMG
 WIDTH="21" HEIGHT="31" ALIGN="MIDDLE" BORDER="0"
 SRC="img904.png"
 ALT="$\displaystyle \mbox{\boldmath${\epsilon^p}$}$"><IMG
 WIDTH="9" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img905.png"
 ALT="$\displaystyle .$"></TD>
<TD NOWRAP WIDTH="10" ALIGN="RIGHT">
(213)</TD></TR>
</TABLE></DIV>
<BR CLEAR="ALL"><P></P>

<P>
In each slip plane an isotropic hardening variable <IMG
 WIDTH="19" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img906.png"
 ALT="$ q_1$"> and a kinematic
hardening variable <IMG
 WIDTH="19" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img907.png"
 ALT="$ q_2$"> are introduced representing the
isotropic and kinematic change of the yield surface,
respectively. The yield surface for orientation <IMG
 WIDTH="14" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img624.png"
 ALT="$ \beta$"> takes the form:

<P>
<P></P>
<DIV ALIGN="CENTER"><!-- MATH
 \begin{equation}
h^\beta := \left| \mbox{\boldmath${\sigma}$} : \mathbf{m^\beta} + q_2^\beta \right| -
r_0^\beta + \sum_{\alpha=1}^{n^\beta} H_{\beta\alpha} q_1^\alpha = 0
\end{equation}
 -->
<TABLE CELLPADDING="0" WIDTH="100%" ALIGN="CENTER">
<TR VALIGN="MIDDLE">
<TD NOWRAP ALIGN="CENTER"><IMG
 WIDTH="301" HEIGHT="72" ALIGN="MIDDLE" BORDER="0"
 SRC="img908.png"
 ALT="$\displaystyle h^\beta := \left\vert \mbox{\boldmath${\sigma}$} : \mathbf{m^\bet...
...ght\vert - r_0^\beta + \sum_{\alpha=1}^{n^\beta} H_{\beta\alpha} q_1^\alpha = 0$"></TD>
<TD NOWRAP WIDTH="10" ALIGN="RIGHT">
(214)</TD></TR>
</TABLE></DIV>
<BR CLEAR="ALL"><P></P>

<P>
where <IMG
 WIDTH="23" HEIGHT="20" ALIGN="BOTTOM" BORDER="0"
 SRC="img909.png"
 ALT="$ n^\beta$"> is the number of slip orientations for the material at
stake, <!-- MATH
 $\mbox{\boldmath ${\sigma}$}$
 -->
<B><IMG
 WIDTH="14" HEIGHT="13" ALIGN="BOTTOM" BORDER="0"
 SRC="img910.png"
 ALT="$ {\sigma}$"></B> is the stress tensor, <B><IMG
 WIDTH="21" HEIGHT="39" ALIGN="MIDDLE" BORDER="0"
 SRC="img911.png"
 ALT="$ r_0^\beta$"></B> is the
size of the elastic range at zero yield and <!-- MATH
 $H_{\beta\alpha}$
 -->
<B><IMG
 WIDTH="35" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img912.png"
 ALT="$ H_{\beta\alpha}$"></B> is a
matrix of interaction coefficients. The constitutive equations for the
hardening variables satisfy:

<P>
<P></P>
<DIV ALIGN="CENTER"><!-- MATH
 \begin{equation}
q_1^\beta = -b^\beta Q^\beta \alpha_1^\beta
\end{equation}
 -->
<TABLE CELLPADDING="0" WIDTH="100%" ALIGN="CENTER">
<TR VALIGN="MIDDLE">
<TD NOWRAP ALIGN="CENTER"><IMG
 WIDTH="110" HEIGHT="39" ALIGN="MIDDLE" BORDER="0"
 SRC="img913.png"
 ALT="$\displaystyle q_1^\beta = -b^\beta Q^\beta \alpha_1^\beta$"></TD>
<TD NOWRAP WIDTH="10" ALIGN="RIGHT">
(215)</TD></TR>
</TABLE></DIV>
<BR CLEAR="ALL"><P></P>

<P>
and

<P>
<P></P>
<DIV ALIGN="CENTER"><!-- MATH
 \begin{equation}
q_2^\beta = -c^\beta \alpha_2^\beta
\end{equation}
 -->
<TABLE CELLPADDING="0" WIDTH="100%" ALIGN="CENTER">
<TR VALIGN="MIDDLE">
<TD NOWRAP ALIGN="CENTER"><IMG
 WIDTH="89" HEIGHT="39" ALIGN="MIDDLE" BORDER="0"
 SRC="img914.png"
 ALT="$\displaystyle q_2^\beta = -c^\beta \alpha_2^\beta$"></TD>
<TD NOWRAP WIDTH="10" ALIGN="RIGHT">
(216)</TD></TR>
</TABLE></DIV>
<BR CLEAR="ALL"><P></P>

<P>
where <!-- MATH
 $\alpha_1^\beta$
 -->
<B><IMG
 WIDTH="23" HEIGHT="39" ALIGN="MIDDLE" BORDER="0"
 SRC="img915.png"
 ALT="$ \alpha_1^\beta$"></B> and <!-- MATH
 $\alpha_2^\beta$
 -->
<B><IMG
 WIDTH="23" HEIGHT="39" ALIGN="MIDDLE" BORDER="0"
 SRC="img916.png"
 ALT="$ \alpha_2^\beta$"></B> are the hardening variables
 in strain space. The constitutive equation for the stress is
 Hooke's law:

<P>

<P></P>
<DIV ALIGN="CENTER"><!-- MATH
 \begin{equation}
\sigma=C : \epsilon^e.
\end{equation}
 -->
<TABLE CELLPADDING="0" WIDTH="100%" ALIGN="CENTER">
<TR VALIGN="MIDDLE">
<TD NOWRAP ALIGN="CENTER"><IMG
 WIDTH="79" HEIGHT="31" ALIGN="MIDDLE" BORDER="0"
 SRC="img917.png"
 ALT="$\displaystyle \sigma=C : \epsilon^e.$"></TD>
<TD NOWRAP WIDTH="10" ALIGN="RIGHT">
(217)</TD></TR>
</TABLE></DIV>
<BR CLEAR="ALL"><P></P>

<P>
The evolution equations for the plastic strain and the hardening
variables in strain space are given by:

<P>
<P></P>
<DIV ALIGN="CENTER"><!-- MATH
 \begin{equation}
\mbox{\boldmath${\dot{\epsilon}^p}$} = \sum_{\beta=1}^{n^\beta}
\dot{\gamma}^\beta \mathbf{m^\beta} sgn(\mbox{\boldmath${\sigma}$} :
\mathbf{m^\beta} + q_2^\beta),
\end{equation}
 -->
<TABLE CELLPADDING="0" WIDTH="100%" ALIGN="CENTER">
<TR VALIGN="MIDDLE">
<TD NOWRAP ALIGN="CENTER"><IMG
 WIDTH="21" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img918.png"
 ALT="$\displaystyle \mbox{\boldmath${\dot{\epsilon}^p}$}$"><IMG
 WIDTH="121" HEIGHT="72" ALIGN="MIDDLE" BORDER="0"
 SRC="img919.png"
 ALT="$\displaystyle = \sum_{\beta=1}^{n^\beta} \dot{\gamma}^\beta \mathbf{m^\beta} sgn($"><IMG
 WIDTH="16" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img920.png"
 ALT="$\displaystyle \mbox{\boldmath${\sigma}$}$"><IMG
 WIDTH="84" HEIGHT="39" ALIGN="MIDDLE" BORDER="0"
 SRC="img921.png"
 ALT="$\displaystyle : \mathbf{m^\beta} + q_2^\beta),$"></TD>
<TD NOWRAP WIDTH="10" ALIGN="RIGHT">
(218)</TD></TR>
</TABLE></DIV>
<BR CLEAR="ALL"><P></P>

<P>
<P></P>
<DIV ALIGN="CENTER"><!-- MATH
 \begin{equation}
\dot{\alpha}_1^\beta = \dot{\gamma}^\beta \left (1 + \frac{q_1^\beta}{Q^\beta}
\right )
\end{equation}
 -->
<TABLE CELLPADDING="0" WIDTH="100%" ALIGN="CENTER">
<TR VALIGN="MIDDLE">
<TD NOWRAP ALIGN="CENTER"><IMG
 WIDTH="142" HEIGHT="64" ALIGN="MIDDLE" BORDER="0"
 SRC="img922.png"
 ALT="$\displaystyle \dot{\alpha}_1^\beta = \dot{\gamma}^\beta \left (1 + \frac{q_1^\beta}{Q^\beta} \right )$"></TD>
<TD NOWRAP WIDTH="10" ALIGN="RIGHT">
(219)</TD></TR>
</TABLE></DIV>
<BR CLEAR="ALL"><P></P>

<P>
and

<P>
<P></P>
<DIV ALIGN="CENTER"><A NAME="evoalpha2"></A><!-- MATH
 \begin{equation}
\dot{\alpha}_2^\beta = \dot{\gamma}^\beta \left [\varphi^\beta sgn(\mbox{\boldmath${\sigma}$} :
\mathbf{m^\beta}+ q_2^\beta) + \frac{d^\beta q_2^\beta}{c^\beta} \right ].
\end{equation}
 -->
<TABLE CELLPADDING="0" WIDTH="100%" ALIGN="CENTER">
<TR VALIGN="MIDDLE">
<TD NOWRAP ALIGN="CENTER"><IMG
 WIDTH="288" HEIGHT="64" ALIGN="MIDDLE" BORDER="0"
 SRC="img923.png"
 ALT="$\displaystyle \dot{\alpha}_2^\beta = \dot{\gamma}^\beta \left [\varphi^\beta sg...
...$} : \mathbf{m^\beta}+ q_2^\beta) + \frac{d^\beta q_2^\beta}{c^\beta} \right ].$"></TD>
<TD NOWRAP WIDTH="10" ALIGN="RIGHT">
(220)</TD></TR>
</TABLE></DIV>
<BR CLEAR="ALL"><P></P>

<P>
The variable <!-- MATH
 $\dot{\gamma}^\beta$
 -->
<IMG
 WIDTH="22" HEIGHT="35" ALIGN="MIDDLE" BORDER="0"
 SRC="img924.png"
 ALT="$ \dot{\gamma}^\beta$"> is the consistency coefficient known
from the Kuhn-Tucker conditions in optimization theory
[<A
 HREF="node378.html#Luenberger">44</A>]. It can be proven to satisfy:

<P>
<P></P>
<DIV ALIGN="CENTER"><!-- MATH
 \begin{equation}
\dot{\gamma}^\beta = \left| \dot{\epsilon}^{p^\beta} \right|,
\end{equation}
 -->
<TABLE CELLPADDING="0" WIDTH="100%" ALIGN="CENTER">
<TR VALIGN="MIDDLE">
<TD NOWRAP ALIGN="CENTER"><IMG
 WIDTH="82" HEIGHT="45" ALIGN="MIDDLE" BORDER="0"
 SRC="img925.png"
 ALT="$\displaystyle \dot{\gamma}^\beta = \left\vert \dot{\epsilon}^{p^\beta} \right\vert,$"></TD>
<TD NOWRAP WIDTH="10" ALIGN="RIGHT">
(221)</TD></TR>
</TABLE></DIV>
<BR CLEAR="ALL"><P></P>

<P>
where <!-- MATH
 $\dot{\epsilon}^{p^\beta}$
 -->
<IMG
 WIDTH="26" HEIGHT="19" ALIGN="BOTTOM" BORDER="0"
 SRC="img926.png"
 ALT="$ \dot{\epsilon}^{p^\beta}$"> is the flow rate along orientation
<IMG
 WIDTH="14" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img624.png"
 ALT="$ \beta$">. The plastic strain rate is linked to the flow rate along the
different orientations by

<P>
<P></P>
<DIV ALIGN="CENTER"><!-- MATH
 \begin{equation}
\mbox{\boldmath${\dot{\epsilon}^p}$} = \sum_{\beta=1}^{n^\beta}
\dot{\epsilon}^{p^\beta} \mathbf{m^\beta}.
\end{equation}
 -->
<TABLE CELLPADDING="0" WIDTH="100%" ALIGN="CENTER">
<TR VALIGN="MIDDLE">
<TD NOWRAP ALIGN="CENTER"><IMG
 WIDTH="21" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img918.png"
 ALT="$\displaystyle \mbox{\boldmath${\dot{\epsilon}^p}$}$"><IMG
 WIDTH="97" HEIGHT="72" ALIGN="MIDDLE" BORDER="0"
 SRC="img927.png"
 ALT="$\displaystyle = \sum_{\beta=1}^{n^\beta} \dot{\epsilon}^{p^\beta} \mathbf{m^\beta}.$"></TD>
<TD NOWRAP WIDTH="10" ALIGN="RIGHT">
(222)</TD></TR>
</TABLE></DIV>
<BR CLEAR="ALL"><P></P>

<P>
The parameter <!-- MATH
 $\varphi^\beta$
 -->
<IMG
 WIDTH="23" HEIGHT="35" ALIGN="MIDDLE" BORDER="0"
 SRC="img928.png"
 ALT="$ \varphi^\beta$"> in equation (<A HREF="#evoalpha2">220</A>) is a
function of the accumulated shear flow in absolute value through:

<P>
<P></P>
<DIV ALIGN="CENTER"><!-- MATH
 \begin{equation}
\varphi^\beta=\phi^\beta+(1-\phi^\beta) e^{-\delta^\beta \int_0^t
\dot{\gamma}^\beta dt}
\end{equation}
 -->
<TABLE CELLPADDING="0" WIDTH="100%" ALIGN="CENTER">
<TR VALIGN="MIDDLE">
<TD NOWRAP ALIGN="CENTER"><IMG
 WIDTH="216" HEIGHT="42" ALIGN="MIDDLE" BORDER="0"
 SRC="img929.png"
 ALT="$\displaystyle \varphi^\beta=\phi^\beta+(1-\phi^\beta) e^{-\delta^\beta \int_0^t \dot{\gamma}^\beta dt}$"></TD>
<TD NOWRAP WIDTH="10" ALIGN="RIGHT">
(223)</TD></TR>
</TABLE></DIV>
<BR CLEAR="ALL"><P></P>

<P>
Finally, in the Cailletaud model the creep rate is a power law
function of the yield exceedance:

<P>
<P></P>
<DIV ALIGN="CENTER"><!-- MATH
 \begin{equation}
\dot{\gamma}^\beta = \left \langle \frac{h^\beta}{K^\beta} \right
\rangle ^ {n^\beta}.
\end{equation}
 -->
<TABLE CELLPADDING="0" WIDTH="100%" ALIGN="CENTER">
<TR VALIGN="MIDDLE">
<TD NOWRAP ALIGN="CENTER"><IMG
 WIDTH="118" HEIGHT="71" ALIGN="MIDDLE" BORDER="0"
 SRC="img930.png"
 ALT="$\displaystyle \dot{\gamma}^\beta = \left \langle \frac{h^\beta}{K^\beta} \right \rangle ^ {n^\beta}.$"></TD>
<TD NOWRAP WIDTH="10" ALIGN="RIGHT">
(224)</TD></TR>
</TABLE></DIV>
<BR CLEAR="ALL"><P></P>

<P>
The brackets <!-- MATH
 $\langle \rangle$
 -->
<IMG
 WIDTH="17" HEIGHT="32" ALIGN="MIDDLE" BORDER="0"
 SRC="img931.png"
 ALT="$ \langle \rangle$"> reduce negative function values to zero
while leaving positive values unchanged, i.e. <!-- MATH
 $\langle x \rangle =0$
 -->
<IMG
 WIDTH="55" HEIGHT="32" ALIGN="MIDDLE" BORDER="0"
 SRC="img885.png"
 ALT="$ \langle x \rangle=0$">
if <IMG
 WIDTH="43" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img886.png"
 ALT="$ x &lt; 0$"> and <!-- MATH
 $\langle x \rangle =x$
 -->
<IMG
 WIDTH="56" HEIGHT="32" ALIGN="MIDDLE" BORDER="0"
 SRC="img887.png"
 ALT="$ \langle x \rangle=x$"> if <IMG
 WIDTH="43" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img888.png"
 ALT="$ x \ge 0$">.

<P>
In the present umat routine, the Cailletaud model is implemented for a
Nickel base single crystal. It has two slip systems, a octaeder slip
system with three slip directions <IMG
 WIDTH="62" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img932.png"
 ALT="$ &lt;011&gt;$"> in four slip planes
<IMG
 WIDTH="44" HEIGHT="32" ALIGN="MIDDLE" BORDER="0"
 SRC="img933.png"
 ALT="$ \{111\}$">, and a cubic slip system with two slip directions <IMG
 WIDTH="62" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img932.png"
 ALT="$ &lt;011&gt;$"> in
three slip planes <IMG
 WIDTH="44" HEIGHT="32" ALIGN="MIDDLE" BORDER="0"
 SRC="img934.png"
 ALT="$ \{001\}$">. The constants for all octaeder slip
orientations are assumed to be identical, the same applies for the
cubic slip orientations. Furthermore, there are three elastic
constants for this material. Consequently, for each temperature 21
constants need to be defined: the elastic constants <IMG
 WIDTH="42" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img935.png"
 ALT="$ C_{1111}$">,
<IMG
 WIDTH="42" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img936.png"
 ALT="$ C_{1122}$"> and <IMG
 WIDTH="42" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img937.png"
 ALT="$ C_{1212}$">, and a set
<!-- MATH
 $\{K^\beta,n^\beta,c^\beta,d^\beta,\phi^\beta,\delta^\beta,r_0^\beta,Q^\beta,b^\beta\}$
 -->
<IMG
 WIDTH="238" HEIGHT="39" ALIGN="MIDDLE" BORDER="0"
 SRC="img938.png"
 ALT="$ \{K^\beta,n^\beta,c^\beta,d^\beta,\phi^\beta,\delta^\beta,r_0^\beta,Q^\beta,b^\beta\}$">
per slip system. Apart from these constants <IMG
 WIDTH="28" HEIGHT="16" ALIGN="BOTTOM" BORDER="0"
 SRC="img939.png"
 ALT="$ 18^2$"> interaction
coefficients need to be defined. These are taken from the references
[<A
 HREF="node378.html#Meric1">49</A>][<A
 HREF="node378.html#Meric2">50</A>] and assumed to be constant. Their values
are included in the routine and cannot be influence by the user
through the input deck. 

<P>
The material
definition consists of a *MATERIAL card defining the name of
the material. This name HAS TO START WITH ''SINGLE_CRYSTAL'' but can be
up to 80 characters long. Thus, the last 66 characters can be freely
chosen by the user. Within the material definition a <A HREF="node302.html#usermaterial">*USER
MATERIAL</A> card has to be used satisfying:

<P>
First line:

<UL>
<LI>*USER MATERIAL
</LI>
<LI>Enter the CONSTANTS parameter and its value, i.e. 21.
</LI>
</UL>

<P>
Following lines, in sets of 3:

<P>

<P><P>
<BR>
First line of set:

<UL>
<LI><IMG
 WIDTH="42" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img935.png"
 ALT="$ C_{1111}$">.
</LI>
<LI><IMG
 WIDTH="42" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img936.png"
 ALT="$ C_{1122}$">.
</LI>
<LI><IMG
 WIDTH="42" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img937.png"
 ALT="$ C_{1212}$">.
</LI>
<LI><IMG
 WIDTH="28" HEIGHT="20" ALIGN="BOTTOM" BORDER="0"
 SRC="img940.png"
 ALT="$ K^\beta$"> (octaeder slip system).
</LI>
<LI><IMG
 WIDTH="23" HEIGHT="20" ALIGN="BOTTOM" BORDER="0"
 SRC="img909.png"
 ALT="$ n^\beta$"> (octaeder slip system).
</LI>
<LI><IMG
 WIDTH="20" HEIGHT="20" ALIGN="BOTTOM" BORDER="0"
 SRC="img941.png"
 ALT="$ c^\beta$"> (octaeder slip system).
</LI>
<LI><IMG
 WIDTH="21" HEIGHT="20" ALIGN="BOTTOM" BORDER="0"
 SRC="img942.png"
 ALT="$ d^\beta$"> (octaeder slip system).
</LI>
<LI><!-- MATH
 $\phi^\beta$
 -->
<IMG
 WIDTH="23" HEIGHT="35" ALIGN="MIDDLE" BORDER="0"
 SRC="img943.png"
 ALT="$ \phi^\beta$"> (octaeder slip system).
</LI>
</UL>
Second line of set:

<UL>
<LI><!-- MATH
 $\delta^\beta$
 -->
<IMG
 WIDTH="21" HEIGHT="20" ALIGN="BOTTOM" BORDER="0"
 SRC="img944.png"
 ALT="$ \delta^\beta$"> (octaeder slip system).
</LI>
<LI><IMG
 WIDTH="21" HEIGHT="39" ALIGN="MIDDLE" BORDER="0"
 SRC="img911.png"
 ALT="$ r_0^\beta$"> (octaeder slip system).
</LI>
<LI><IMG
 WIDTH="26" HEIGHT="35" ALIGN="MIDDLE" BORDER="0"
 SRC="img945.png"
 ALT="$ Q^\beta$"> (octaeder slip system).
</LI>
<LI><IMG
 WIDTH="20" HEIGHT="20" ALIGN="BOTTOM" BORDER="0"
 SRC="img946.png"
 ALT="$ b^\beta$"> (octaeder slip system).
</LI>
<LI><IMG
 WIDTH="28" HEIGHT="20" ALIGN="BOTTOM" BORDER="0"
 SRC="img940.png"
 ALT="$ K^\beta$"> (cubic slip system).
</LI>
<LI><IMG
 WIDTH="23" HEIGHT="20" ALIGN="BOTTOM" BORDER="0"
 SRC="img909.png"
 ALT="$ n^\beta$"> (cubic slip system).
</LI>
<LI><IMG
 WIDTH="20" HEIGHT="20" ALIGN="BOTTOM" BORDER="0"
 SRC="img941.png"
 ALT="$ c^\beta$"> (cubic slip system).
</LI>
<LI><IMG
 WIDTH="21" HEIGHT="20" ALIGN="BOTTOM" BORDER="0"
 SRC="img942.png"
 ALT="$ d^\beta$"> (cubic slip system).
</LI>
</UL>
Third line of set:

<UL>
<LI><!-- MATH
 $\phi^\beta$
 -->
<IMG
 WIDTH="23" HEIGHT="35" ALIGN="MIDDLE" BORDER="0"
 SRC="img943.png"
 ALT="$ \phi^\beta$"> (cubic slip system).
</LI>
<LI><!-- MATH
 $\delta^\beta$
 -->
<IMG
 WIDTH="21" HEIGHT="20" ALIGN="BOTTOM" BORDER="0"
 SRC="img944.png"
 ALT="$ \delta^\beta$"> (cubic slip system).
</LI>
<LI><IMG
 WIDTH="21" HEIGHT="39" ALIGN="MIDDLE" BORDER="0"
 SRC="img911.png"
 ALT="$ r_0^\beta$"> (cubic slip system).
</LI>
<LI><IMG
 WIDTH="26" HEIGHT="35" ALIGN="MIDDLE" BORDER="0"
 SRC="img945.png"
 ALT="$ Q^\beta$"> (cubic slip system).
</LI>
<LI><IMG
 WIDTH="20" HEIGHT="20" ALIGN="BOTTOM" BORDER="0"
 SRC="img946.png"
 ALT="$ b^\beta$"> (cubic slip system).
</LI>
<LI>Temperature.
</LI>
</UL>

<P>
Repeat this set if needed to define complete temperature dependence.

<P>
The crystal principal axes are assumed to coincide with the global
coordinate system. If this is not the case, use an
<A HREF="node271.html#orientation">*ORIENTATION</A> card to define a local system.

<P>
For this model, there are 60 internal state variables: 

<UL>
<LI>the plastic strain tensor <!-- MATH
 $\epsilon^p$
 -->
<B><IMG
 WIDTH="18" HEIGHT="17" ALIGN="BOTTOM" BORDER="0"
 SRC="img947.png"
 ALT="$ \epsilon^p$"></B> (6)
</LI>
<LI>the isotropic hardening variables <IMG
 WIDTH="21" HEIGHT="39" ALIGN="MIDDLE" BORDER="0"
 SRC="img948.png"
 ALT="$ q_1^\beta$"> (18)
</LI>
<LI>the kinematic hardening variables <IMG
 WIDTH="21" HEIGHT="39" ALIGN="MIDDLE" BORDER="0"
 SRC="img949.png"
 ALT="$ q_2^\beta$"> (18)
</LI>
<LI>the accumulated absolute value of the slip rate <!-- MATH
 $\int_0^t
\dot{\gamma^\beta} dt$
 -->
<IMG
 WIDTH="55" HEIGHT="40" ALIGN="MIDDLE" BORDER="0"
 SRC="img950.png"
 ALT="$ \int_0^t
\dot{\gamma^\beta} dt$"> (18)
</LI>
</UL>

<P>
These variables are accessible through the <A HREF="node236.html#elprint">*EL
PRINT</A> (.dat file) and <A HREF="node235.html#elfile">*EL FILE</A> (.frd file)
keywords in exactly this order (label SDV). The
<A HREF="node223.html#depvar">*DEPVAR</A> card must be included in the material
definition with a value of 60.

<P>
<PRE>
Example:

*MATERIAL,NAME=SINGLE_CRYSTAL
*USER MATERIAL,CONSTANTS=21
135468.,68655.,201207.,1550.,3.89,18.E4,1500.,1.5,
100.,80.,-80.,500.,980.,3.89,9.E4,1500.,
2.,100.,70.,-50.,400.
*DEPVAR
60
</PRE>

<P>
defines a single crystal with elastic constants
<!-- MATH
 $\{135468.,68655.,201207.\}$
 -->
<IMG
 WIDTH="183" HEIGHT="32" ALIGN="MIDDLE" BORDER="0"
 SRC="img951.png"
 ALT="$ \{135468.,68655.,201207.\}$">, octaeder parameters <!-- MATH
 $\{1550.,3.89,18.E4,1500.,1.5,
100.,80.,-80.,500.\}$
 -->
<IMG
 WIDTH="349" HEIGHT="32" ALIGN="MIDDLE" BORDER="0"
 SRC="img952.png"
 ALT="$ \{1550.,3.89,18.E4,1500.,1.5,
100.,80.,-80.,500.\}$"> and cubic parameters <!-- MATH
 $\{980.,3.89,9.E4,1500.,
2.,100.,70.,-50.\}$
 -->
<IMG
 WIDTH="289" HEIGHT="32" ALIGN="MIDDLE" BORDER="0"
 SRC="img953.png"
 ALT="$ \{980.,3.89,9.E4,1500.,
2.,100.,70.,-50.\}$"> for a temperature of 400.

<P>
<HR>
<!--Navigation Panel-->
<A NAME="tex2html2697"
  HREF="node141.html">
<IMG WIDTH="37" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="next"
 SRC="file:/usr/share/latex2html/icons/next.png"></A> 
<A NAME="tex2html2693"
  HREF="node131.html">
<IMG WIDTH="26" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="up"
 SRC="file:/usr/share/latex2html/icons/up.png"></A> 
<A NAME="tex2html2687"
  HREF="node139.html">
<IMG WIDTH="63" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="previous"
 SRC="file:/usr/share/latex2html/icons/prev.png"></A> 
<A NAME="tex2html2695"
  HREF="node1.html">
<IMG WIDTH="65" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="contents"
 SRC="file:/usr/share/latex2html/icons/contents.png"></A>  
<BR>
<B> Next:</B> <A NAME="tex2html2698"
  HREF="node141.html">The Cailletaud single crystal</A>
<B> Up:</B> <A NAME="tex2html2694"
  HREF="node131.html">Materials</A>
<B> Previous:</B> <A NAME="tex2html2688"
  HREF="node139.html">Fiber reinforced materials.</A>
 &nbsp; <B>  <A NAME="tex2html2696"
  HREF="node1.html">Contents</A></B> 
<!--End of Navigation Panel-->
<ADDRESS>
guido dhondt
2016-07-31
</ADDRESS>
</BODY>
</HTML>
